# Ogre::RaySceneQueryResultEntry Struct Reference

This struct allows a single comparison of result data no matter what the type. More...

`#include <OgreSceneQuery.h>`

List of all members.

## Public Member Functions

bool | operator< (const RaySceneQueryResultEntry &rhs) const
| Comparison operator for sorting.

## Public Attributes

Real | distance
| Distance along the ray.
MovableObject * | movable
| The movable, or NULL if this is not a movable result.
SceneQuery::WorldFragment * | worldFragment
| The world fragment, or NULL if this is not a fragment result.

## Detailed Description

This struct allows a single comparison of result data no matter what the type.

Definition at line 352 of file OgreSceneQuery.h.

## Member Function Documentation

bool Ogre::RaySceneQueryResultEntry::operator< | ( | const RaySceneQueryResultEntry & | rhs | ) | const

Comparison operator for sorting.

Definition at line 361 of file OgreSceneQuery.h.

References distance.

## Member Data Documentation

Real Ogre::RaySceneQueryResultEntry::distance

Distance along the ray.

Definition at line 355 of file OgreSceneQuery.h.

Referenced by operator<().

MovableObject* Ogre::RaySceneQueryResultEntry::movable

The movable, or NULL if this is not a movable result.

Definition at line 357 of file OgreSceneQuery.h.

SceneQuery::WorldFragment* Ogre::RaySceneQueryResultEntry::worldFragment

The world fragment, or NULL if this is not a fragment result.

Definition at line 359 of file OgreSceneQuery.h.

The documentation for this struct was generated from the following file:

- OgreSceneQuery.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Dec 27 17:35:22 2009